<template>
	<view>
		<view class="video-box" v-if="videoItem">
			<video
			id="video-content-box"
			style="width: 100%;height: 420rpx;"
			:src="videoItem.videoUrl"
			>
			</video>
		</view>
		<view class="bg-white p20">
			<view class="m20">
				{{videoItem.title}}
			</view>
			<view class="color-text1 fs24 ml20">
				播放时长：{{videoItem.totalDuration}}
			</view>
		</view>
		
	</view>
</template>

<script>
	export default {
		data() {
			return {
				videoItem:{},
				videoId:null,
			}
		},
		onLoad(option) {
			if(option.videoitem){
				this.videoItem=option.videoitem ? JSON.parse(option.videoitem) : {}
				this.videoId=this.videoItem.videoId
				console.log("optionqqq",this.videoItem)
				console.log("option111",this.videoItem.videoUrl)
			}
			console.log("option111",this.videoItem.videoUrl)
		},
		
		methods: {
			
		}
	}
</script>

<style lang="scss" scoped>
.video-box {
	width: 100%;
	height: 420rpx;
	overflow: hidden;
	position: relative;

	#myVideo {
		width: 100%;
		height: 100%;
	}
}
</style>
